package com.fs.app.param;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


@JsonIgnoreProperties(ignoreUnknown = true)
public class FsUserEditParam implements Serializable {
    @JsonAlias("nickname")
    private String nickname;

    //    @NotBlank(message = "用户头像不能为空！")
    private String avatar;

    @JsonAlias("nickName")
    private String nickName;

    private Long userId;
    private Integer isWeixinAuth;

//    @NotNull(message = "用户昵称不能为空！")
    public String getNickname() {
        return nickname;
    }

    public void setNickname(@NotNull(message = "用户昵称不能为空！") String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getIsWeixinAuth() {
        return isWeixinAuth;
    }

    public void setIsWeixinAuth(Integer isWeixinAuth) {
        this.isWeixinAuth = isWeixinAuth;
    }

    @Override
    public String toString() {
        return "FsUserEditParam{" +
                "nickname='" + nickname + '\'' +
                ", avatar='" + avatar + '\'' +
                ", nickName='" + nickName + '\'' +
                ", userId=" + userId +
                ", isWeixinAuth=" + isWeixinAuth +
                '}';
    }
}
